import * as ts from 'typescript';
/**
 * Returns string representation of typescript node
 * @param node
 * @returns {string}
 */
export declare const nodeToString: (node: ts.Node) => string;
/**
 * Generate named imports code (e.g. `import { Something, Else } from "module"`)
 * @param importsSpecifier {string[]}
 * @param moduleSpecifier {string}
 * @returns {string} Named import code
 */
export declare const generateNamedImports: (importsSpecifier: string[], moduleSpecifier: string) => ts.ImportDeclaration;
/**
 *
 * @param {string} decoratorIdentifier
 * @param {[key: string]: any} props
 * @return {ts.Decorator}
 */
export declare const generateObjectLiteralDecorator: (decoratorIdentifier: string, props: {
    [key: string]: any;
}) => ts.Decorator;
/**
 *
 * @param decoratorIdentifier
 * @param arrowTargetIdentifiers
 */
export declare const generateArrowDecorator: (decoratorIdentifier: string, arrowTargetIdentifiers: string[]) => ts.Decorator;
