import { TransformCase } from '../config/IConfig';
import { ITableMetadata } from './Dialect';
export declare const toUpperCase: (s: string) => string;
export declare const toLowerCase: (s: string) => string;
/**
 * Return transformer for the provided case
 * @param  {TransformCase} transformCase
 * @returns {function(s: string): string}
 */
export declare const getTransformer: (transformCase: TransformCase) => (s: string) => string;
/**
 * Transform ITableMetadata object using the provided case
 * @param {ITableMetadata} tableMetadata
 * @param {TransformCase} transformCase
 * @returns {ITableMetadata}
 */
export declare const caseTransformer: (tableMetadata: ITableMetadata, transformCase: TransformCase) => ITableMetadata;
/**
 *
 * @param dataType
 */
export declare const warnUnknownMappingForDataType: (dataType: string) => void;
